summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorReid Spencer <rspencer@reidspencer.com>2007-08-31 19:53:42 +0000
committerReid Spencer <rspencer@reidspencer.com>2007-08-31 19:53:42 +0000
commitc5a879c63d39bc6d867c7d527965bbfe8941049b (patch)
tree3a413788df73efa54dd51ddcb9f425d79bf6e204
parentee8476847da85e1ac44744f7f64de0675b89dc15 (diff)
Allow the configure options to be set according to the llvm-top options.
Patch improved from one by Holger Schurig. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@41649 91177308-0d34-0410-b5e6-96231b3b80d8
-rwxr-xr-xbuild-for-llvm-top.sh37
1 files changed, 35 insertions, 2 deletions
diff --git a/build-for-llvm-top.sh b/build-for-llvm-top.sh
index ed14db3e5b0..2a68c79965b 100755
--- a/build-for-llvm-top.sh
+++ b/build-for-llvm-top.sh
@@ -9,15 +9,48 @@
# variables.
process_arguments "$@"
-# See if we have previously been configured by sensing the presense
+# See if we have previously been configured by sensing the presence
# of the config.status scripts
if test ! -x "config.status" ; then
# We must configure so build a list of configure options
config_options="--prefix=$PREFIX --with-llvmgccdir=$PREFIX"
+ if test "$OPTIMIZED" -eq 1 ; then
+ config_options="$config_options --enable-optimized"
+ else
+ config_options="$config_options --disable-optimized"
+ fi
+ if test "$DEBUG" -eq 1 ; then
+ config_options="$config_options --enable-debug"
+ else
+ config_options="$config_options --disable-debug"
+ fi
+ if test "$ASSERTIONS" -eq 1 ; then
+ config_options="$config_options --enable-assertions"
+ else
+ config_options="$config_options --disable-assertions"
+ fi
+ if test "$CHECKING" -eq 1 ; then
+ config_options="$config_options --enable-expensive-checks"
+ else
+ config_options="$config_options --disable-expensive-checks"
+ fi
+ if test "$DOXYGEN" -eq 1 ; then
+ config_options="$config_options --enable-doxygen"
+ else
+ config_options="$config_options --disable-doxygen"
+ fi
+ if test "$THREADS" -eq 1 ; then
+ config_options="$config_options --enable-threads"
+ else
+ config_options="$config_options --disable-threads"
+ fi
config_options="$config_options $OPTIONS_DASH $OPTIONS_DASH_DASH"
msg 0 Configuring $module with:
msg 0 " ./configure" $config_options
- ./configure $config_options || (echo "Can't configure llvm" ; exit 1)
+ $LLVM_TOP/llvm/configure $config_options || \
+ die $? "Configuring llvm module failed"
+else
+ msg 0 Module $module already configured, ignoring configure options.
fi
msg 0 Building $module with: